> ## Documentation Index
> Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# All schedules by HVAC

> Returns all schedules by HVAC.



## OpenAPI

````yaml get /v1.0.0/hvacs/{hvacId}/schedules
openapi: 3.0.1
info:
  description: A service used for HVAC devices
  title: hvac-service
  version: 1.0.0
servers:
  - description: Generated server url
    url: https://api.energy-hub.io
security: []
paths:
  /v1.0.0/hvacs/{hvacId}/schedules:
    get:
      tags:
        - Hvac Controller
      summary: All schedules by HVAC
      description: Returns all schedules by HVAC.
      operationId: getSchedule_1
      parameters:
        - schema:
            format: uuid
            type: string
          in: path
          name: hvacId
          description: HVAC ID
          required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                UNAUTHORIZED:
                  $ref: '#/components/examples/UNAUTHORIZED'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                HVAC_NOT_FOUND:
                  $ref: '#/components/examples/HVAC_NOT_FOUND'
      security:
        - API_Key: []
components:
  schemas:
    ScheduleResponse:
      description: Response object of the schedules for each day of the week.
      type: object
      required:
        - schedules
        - timeZone
      properties:
        schedules:
          description: The list of schedule events.
          type: array
          items:
            $ref: '#/components/schemas/ScheduleEvent'
        timeZone:
          description: The timezone of the schedule.
          type: string
          example: Europe/Berlin
    ErrorMessageDto:
      type: object
      required:
        - errorCode
        - id
        - message
      properties:
        errorCode:
          description: The error code
          type: string
          example: EXAMPLE_ERROR_CODE
        id:
          format: uuid
          description: The error identifier
          type: string
          example: 7958818d-64d2-4ede-b12b-4786dd2f348b
        message:
          description: The error message
          type: string
          example: Example error message
    ScheduleEvent:
      description: Event object of the schedules.
      type: object
      required:
        - mode
        - start
      properties:
        mode:
          description: The scheduled mode.
          type: string
          enum:
            - HEAT
            - COOL
            - DRY
            - AUTO
            - REDUCED
            - 'OFF'
          example: HEAT
        start:
          $ref: '#/components/schemas/ScheduleDayTime'
        temperature:
          format: double
          description: The scheduled temperature measured in °C.
          type: number
          example: 21.1
        end:
          $ref: '#/components/schemas/ScheduleDayTime'
    ScheduleDayTime:
      description: Object containing weekday and time of day.
      type: object
      required:
        - day
        - time
      properties:
        time:
          description: The time of day.
          type: string
          example: '00:00'
        day:
          description: The day of the week
          type: string
          enum:
            - MONDAY
            - TUESDAY
            - WEDNESDAY
            - THURSDAY
            - FRIDAY
            - SATURDAY
            - SUNDAY
          example: MONDAY
  examples:
    UNAUTHORIZED:
      value:
        errorCode: UNAUTHORIZED
        id: 4c30ae83-182e-4c92-a108-b6ee12619de8
        message: Unauthorized
    HVAC_NOT_FOUND:
      value:
        errorCode: HVAC_NOT_FOUND
        id: 4c30ae83-182e-4c92-a108-b6ee12619de8
        message: '[HVAC] HVAC not found'
  securitySchemes:
    API_Key:
      in: header
      name: X-API-KEY
      description: API key used for authorization and authentication.
      type: apiKey

````